import { useState } from "react";
import Player from "../../components/Player";
import "./index.less";

function CourseDetail() {
  const [state, setState] = useState({
    videoTopMaskVisible: true,
  });

  const [toc, setToc] = useState([
    {
      title: "准备",
      level: 1,
    },
    {
      title: "学习 html, css, javascript 前的准备",
      level: 2,
      time: "3:23",
      get: false,
    },
    {
      title: "css 样式的写法",
      level: 2,
      time: "4:13",
      get: false,
    },
    {
      title: "使用CSS",
      level: 1,
    },
    {
      title: "使用 css：行内样式",
      level: 2,
      time: "5:55",
      get: false,
    },
    {
      title: "使用 css：行内样式2",
      level: 2,
      time: "6:55",
      get: false,
    },
  ]);

  const onMouseLeaveVideo = () => {
    setTimeout(() => {
      setState((p) => ({ ...p, videoTopMaskVisible: false }));
    }, 3 * 1000);
  };

  return (
    <div className="course-detail container">
      <article>
        <h4 className="title">01 | 基础架构：一条SQL查询语句是如何执行的？</h4>
        <div className="player-container">
          <Player />
        </div>
      </article>
      <aside>
        <p>目录</p>
        <div className="toc">
          {toc.map((i) => {
            if (i.level === 1) {
              return <div className="level-1">{i.title}</div>;
            } else if (i.level === 2) {
              return (
                <div className="level-2">
                  <span className="bs-ellipsis">{i.title}</span>
                  <span className="time">{i.time}</span>
                  <span className="get">get</span>
                </div>
              );
            }
          })}
        </div>
      </aside>
    </div>
  );
}

export default CourseDetail;
